package com.perforce.p4simulink.ui;

/**
 * Copyright (C) 2014 Perforce Software. All rights reserved.
 *
 * Please see LICENSE.txt in top-level folder of this distribution.
 */

import java.util.ArrayList;
import java.util.List;

import javax.swing.JPasswordField;
import javax.swing.JTextArea;

public class P4PasswordPane extends P4Pane {

	private JTextArea results = new JTextArea("");
	private JPasswordField password = new JPasswordField("");

	public Object[] getFields() {
		List<Object> fields = new ArrayList<>();
		fields.add("Password: ");
		fields.add(password);

		if (results.getText() != null && !results.getText().isEmpty()) {
			fields.add("Result: ");
			fields.add(results);
		}

		return fields.toArray();
	}

	public void setResults(String message) {
		results.setText(message);
	}

	public String getPassword() {
		return new String(password.getPassword());
	}
}
